Bug 250531 - security/pecl-mcrypt: unbreak with php80
Summary: security/pecl-mcrypt: unbreak with php80
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-22 15:36 UTC by Dima Panov
Modified: 2020-10-24 10:39 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments
security/pecl-mcrypt: unbreak with php80 (2.27 KB, patch)
2020-10-22 15:36 UTC, Dima Panov
no flags Details | Diff
security/pecl-mcrypt: unbreak with php80 v2 (2.41 KB, patch)
2020-10-22 16:19 UTC, Dima Panov
no flags Details | Diff
My proposed patch (590 bytes, patch)
2020-10-23 07:56 UTC, Luca Pizzamiglio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2020-10-22 15:36:59 UTC
Created attachment 218977 [details]
security/pecl-mcrypt: unbreak with php80
Comment 1 Dima Panov freebsd_committer 2020-10-22 16:19:42 UTC
Created attachment 218979 [details]
security/pecl-mcrypt: unbreak with php80 v2
Comment 2 Luca Pizzamiglio freebsd_committer 2020-10-23 07:56:24 UTC
Created attachment 218995 [details]
My proposed patch

This is the patch I propose, it's more compact and it fixed only what is needed, if needed.
Comment 3 Luca Pizzamiglio freebsd_committer 2020-10-23 07:57:44 UTC
Thanks for reporting, I've received pkg-fallout reporting only today, I didn't noticed the php80 break.

What do you think of the new patch?
I'm going to commit it at the end of the day, if it's OK for you.
Comment 4 Dima Panov freebsd_committer 2020-10-24 08:03:03 UTC
(In reply to Luca Pizzamiglio from comment #3)
Ah, OK, ur version looks better. Mine was quick'n'dirty, inspired by error logs :)
Comment 5 commit-hook freebsd_committer 2020-10-24 10:19:19 UTC
A commit references this bug:

Author: pizzamig
Date: Sat Oct 24 10:18:42 UTC 2020
New revision: 553174
URL: https://svnweb.freebsd.org/changeset/ports/553174

Log:
  security/pecl-mcrypt: Fix php80 support

  PR:		250531
  Submitted by:	Dima Panov <fluffy@FreeBSD.org>

Changes:
  head/security/pecl-mcrypt/Makefile
Comment 6 Luca Pizzamiglio freebsd_committer 2020-10-24 10:39:37 UTC
Committed! Thanks